Accounting
List Accounting Connections
Retrieve all connected accounting integrations for your account.
GET
/
v1
/
accounting
/
connections
List accounting connections
curl --request GET \
--url https://billing.example.com/v1/accounting/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://billing.example.com/v1/accounting/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://billing.example.com/v1/accounting/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "quickbooks",
"token_expires_at": "2023-11-07T05:31:56Z",
"realm_id": "<string>",
"last_sync_at": "2023-11-07T05:31:56Z",
"sync_status": "idle",
"last_error": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
provider | string | No | Filter by provider name. One of quickbooks or xero. |
is_active | boolean | No | Filter by active or disconnected integrations. |
Example Request
curl -X GET "https://api.recurso.io/v1/accounting/connections" \
-H "Authorization: Bearer rsk_live_9f8a7b6c5d4e3f2a1b0c" \
-H "Content-Type: application/json"
Response
{
"data": [
{
"id": "aconn_3pRs6tUv9wXy",
"object": "accounting_connection",
"provider": "quickbooks",
"realm_id": "4620816365185389250",
"company_name": "Acme Corp",
"sync_status": "synced",
"last_synced_at": "2026-06-23T06:00:00Z",
"is_active": true,
"token_expires_at": "2026-07-23T06:00:00Z",
"created_at": "2026-02-10T15:30:00Z",
"updated_at": "2026-06-23T06:00:00Z"
},
{
"id": "aconn_7qWt2uZx5aBc",
"object": "accounting_connection",
"provider": "xero",
"realm_id": "b1c2d3e4-f5a6-7890-abcd-ef1234567890",
"company_name": "Acme EU GmbH",
"sync_status": "token_expired",
"last_synced_at": "2026-05-15T12:00:00Z",
"is_active": false,
"token_expires_at": "2026-05-30T12:00:00Z",
"created_at": "2026-01-05T09:00:00Z",
"updated_at": "2026-05-30T12:00:00Z"
}
],
"total": 2
}
⌘I
List accounting connections
